Import a library script
Imports a library script to create a private copy in the user's vault. Requires the private-tooling feature.
POST
/api/library/script/{id}/importPath parameters
idstringrequiredBody
namestringrequireddescriptionstringscriptstringrequiredscript_typeenumrequiredOne of: bash, python, golang, node
inputsobjectoutputsobjectRequest
curl
curl -X POST https://platform.trickest.com/api/library/script/{id}/import \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200Imported script
idstringrequirednamestringrequireddescriptionstringtypeenumrequiredOne of: TOOL, SCRIPT, MODULE
categorystringauthorstringinputsobject[]outputsobject[]workflowstringvaultstringvault_infoobject400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring